MagickCore: quantum.h File Reference

# quantum.h File Reference

`#include "magick/semaphore.h"`

Go to the source code of this file.

## Data Structures
struct | _QuantumInfo
## Typedefs
typedef struct _QuantumInfo | QuantumInfo
## Enumerations
enum | EndianType { UndefinedEndian, LSBEndian, MSBEndian }
enum | QuantumType { UndefinedQuantum, AlphaQuantum, BlackQuantum, BlueQuantum, CMYKAQuantum, CMYKQuantum, CyanQuantum, GrayAlphaQuantum, GrayQuantum, GreenQuantum, IndexAlphaQuantum, IndexQuantum, MagentaQuantum, OpacityQuantum, RedQuantum, RGBAQuantum, RGBOQuantum, RGBQuantum, YellowQuantum }
enum | QuantumFormatType { UndefinedQuantumFormat, FloatingPointQuantumFormat, SignedQuantumFormat, UnsignedQuantumFormat }
## Functions
static Quantum | RoundToQuantum (const MagickRealType value)
MagickExport MagickBooleanType | ExportQuantumPixels (Image *, const QuantumInfo *, const QuantumType, const unsigned char *)
MagickExport MagickBooleanType | ImportQuantumPixels (Image *, const QuantumInfo *, const QuantumType, unsigned char *)
MagickExport QuantumInfo * | AcquireQuantumInfo (const ImageInfo *)
MagickExport QuantumInfo ** | DestroyQuantumInfo (QuantumInfo *)
MagickExport void | GetQuantumInfo (const ImageInfo *, QuantumInfo *)

## Typedef Documentation

typedef struct _QuantumInfo QuantumInfo

## Enumeration Type Documentation

enum EndianType

Enumerator:

  UndefinedEndian |
  LSBEndian |
  MSBEndian |

enum QuantumFormatType

Enumerator:

  UndefinedQuantumFormat |
  FloatingPointQuantumFormat |
  SignedQuantumFormat |
  UnsignedQuantumFormat |

enum QuantumType

Enumerator:

  UndefinedQuantum |
  AlphaQuantum |
  BlackQuantum |
  BlueQuantum |
  CMYKAQuantum |
  CMYKQuantum |
  CyanQuantum |
  GrayAlphaQuantum |
  GrayQuantum |
  GreenQuantum |
  IndexAlphaQuantum |
  IndexQuantum |
  MagentaQuantum |
  OpacityQuantum |
  RedQuantum |
  RGBAQuantum |
  RGBOQuantum |
  RGBQuantum |
  YellowQuantum |

## Function Documentation

MagickExport QuantumInfo* AcquireQuantumInfo | ( | const ImageInfo * |  | ) |

MagickExport QuantumInfo* * DestroyQuantumInfo | ( | QuantumInfo * |  | ) |

MagickExport MagickBooleanType ExportQuantumPixels | ( | Image * | ,
|  | const QuantumInfo * | ,
|  | const | QuantumType,
|  | const unsigned char * |  |
| ) |  |  |

MagickExport void GetQuantumInfo | ( | const ImageInfo * | ,
|  | QuantumInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType ImportQuantumPixels | ( | Image * | ,
|  | const QuantumInfo * | ,
|  | const | QuantumType,
|  | unsigned char * |  |
| ) |  |  |

static Quantum RoundToQuantum | ( | const MagickRealType | value | ) | `[inline, static]`